import java.io.*;
import java.math.BigInteger;
import java.util.*;

public class rounding_ats implements Runnable {
    public static void main(String[] args) {
        new Thread(new rounding_ats()).start();
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public void solve() throws IOException {
        int m = nextInt();

        String num = nextToken();

        int k = num.length();

        assert (1 <= k && k <= 1000);
        assert (1 <= m && m <= 1000);

        int pos = 0;
        for (; pos < k && num.charAt(pos) != '.'; pos++) {
        }

        // System.err.println(m + " " + (k - pos - 1));
        assert (m > k - pos - 1);

        out.print(1);
        for (int i = 0; i < m - (k - pos - 1); i++) {
            out.print(0);
        }
        out.println();
    }

    public void run() {
        try {
            br = new BufferedReader(new FileReader("rounding.in"));
            out = new PrintWriter("rounding.out");

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }
}
